Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"id": 123,
"categoryId": 123,
"title": "<string>",
"slug": "<string>",
"views": 123,
"isPinned": true,
"isLocked": true,
"author": {
"id": 123,
"username": "<string>",
"displayName": "<string>",
"avatar": "<string>",
"roles": [
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"usernameCSS": "<string>",
"badgeCSS": "<string>"
}
],
"primaryRole": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"usernameCSS": "<string>",
"badgeCSS": "<string>"
}
},
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"category": {
"id": 123,
"parentId": 123,
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"image": "<string>"
},
"content": "<string>",
"permissions": {
"EDIT_THREAD": true,
"DELETE_THREAD": true,
"PIN_THREAD": true,
"LOCK_THREAD": true,
"CREATE_REPLIES": true,
"MODERATE_FORUM": true,
"canReply": true
},
"replies": [
{
"id": 123,
"threadId": 123,
"message": "<string>",
"author": {
"id": 123,
"username": "<string>",
"displayName": "<string>",
"avatar": "<string>",
"roles": [
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"usernameCSS": "<string>",
"badgeCSS": "<string>"
}
],
"primaryRole": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"usernameCSS": "<string>",
"badgeCSS": "<string>"
}
},
"permissions": {
"MANAGE_REPLY": true
},
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"message": "<string>",
"meta": {
"pagination": {
"page": 123,
"perPage": 123,
"total": 123,
"lastPage": 123
},
"seo": {
"page": "<string>",
"title": "<string>",
"description": "<string>",
"image": "<string>"
}
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "..."
}
}Forum
Get thread
Thread with its replies (20 per page). Count a view separately with POST /forum/threads/{id}/views.
GET
/
forum
/
threads
/
{id}
Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"id": 123,
"categoryId": 123,
"title": "<string>",
"slug": "<string>",
"views": 123,
"isPinned": true,
"isLocked": true,
"author": {
"id": 123,
"username": "<string>",
"displayName": "<string>",
"avatar": "<string>",
"roles": [
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"usernameCSS": "<string>",
"badgeCSS": "<string>"
}
],
"primaryRole": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"usernameCSS": "<string>",
"badgeCSS": "<string>"
}
},
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"category": {
"id": 123,
"parentId": 123,
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"image": "<string>"
},
"content": "<string>",
"permissions": {
"EDIT_THREAD": true,
"DELETE_THREAD": true,
"PIN_THREAD": true,
"LOCK_THREAD": true,
"CREATE_REPLIES": true,
"MODERATE_FORUM": true,
"canReply": true
},
"replies": [
{
"id": 123,
"threadId": 123,
"message": "<string>",
"author": {
"id": 123,
"username": "<string>",
"displayName": "<string>",
"avatar": "<string>",
"roles": [
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"usernameCSS": "<string>",
"badgeCSS": "<string>"
}
],
"primaryRole": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"usernameCSS": "<string>",
"badgeCSS": "<string>"
}
},
"permissions": {
"MANAGE_REPLY": true
},
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"message": "<string>",
"meta": {
"pagination": {
"page": 123,
"perPage": 123,
"total": 123,
"lastPage": 123
},
"seo": {
"page": "<string>",
"title": "<string>",
"description": "<string>",
"image": "<string>"
}
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "..."
}
}Authorizations
publicKeypublicKey & bearerAuth
